Skip to content
scango.ch
Esc
↑↓navigate↵open⌘Jpreview

Get order by ID

Get an order by id, including line items. Soft-deleted orders are returned with deleted: true.

GET/orders/{orderId}
Authorization
AuthorizationBearer token (API key) · headerrequired

Organization API key.

Path parameters
orderIdstringrequired
Responses
200

Order details

dataOrderrequired

Order. Dates are ISO-8601. Money fields are integer cents.

Show properties
idstringrequired

Id

orderIdstring
orderDatestring<date-time>
transactionDatestring<date-time>
paymentMethodstring
paymentStatestring
Allowed:successfulcancelledtimeoutfailedpending
paymentBrandstring
priceinteger

Order total in cents

storestring

Store id

transactionMessagestring
giftcardIdstring
giftcardFunctionstring
deletedboolean

Present when stored. Lists include orders with deleted: true only with includeDeleted=true; get-by-id always returns them.

productsOrderLine[]required
Show properties
Array of OrderLine
productIdstring
titlestring
priceinteger

Line total in cents.

netPriceinteger

Net amount in cents.

depositinteger

Deposit in cents.

costPriceinteger
quantitynumber
weightnumber
supplierstring
categorystring
taxinteger

Tax amount in cents.

taxRatenumber

VAT rate as a decimal fraction (0.081 = 8.1%).

typestring

e.g. product, coupon, giftcard.

imageUrlstring
originalProductIdstring
originalPriceinteger
discountnumber
undiscountedPriceinteger
storestring
printTicketboolean
403

Missing, unknown or inactive API key, or a Read key on a write operation.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

404

No item with this id.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://dashboard.scango.ch/api/v1/orders/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "id": "order_01",
    "orderId": "order_01",
    "store": "store_01",
    "price": 240,
    "paymentState": "successful",
    "paymentMethod": "card",
    "paymentBrand": "visa",
    "orderDate": "2024-04-20T12:00:00.000Z",
    "transactionDate": "2024-04-20T12:00:01.000Z",
    "transactionMessage": "",
    "giftcardId": "",
    "products": [
      {
        "productId": "a1b2c3",
        "quantity": 2,
        "title": "Mineral water 50cl",
        "price": 240,
        "netPrice": 234,
        "tax": 6,
        "taxRate": 0.026,
        "type": "product",
        "supplier": "sup_01",
        "category": "cat_01",
        "deposit": 0
      }
    ]
  }
}

Was this page helpful?